/* Copyright (C) 2006 Anton Fedorov <datacompboy@call2ru.com>

   nss_vserver: provide auth on host according to passwd & shadow files
		in vservers.
   You can find info about vserver at http://linux-vserver.org/
   See README for details
   
   Feel free to use code as you want
 */


typedef enum nss_status NSS_STATUS;

#define CONCAT21(a,b) a##b
#define CONCAT31(a,b,c) a##b##c
#define CONCAT2(a,b) CONCAT21(a,b)
#define CONCAT3(a,b,c) CONCAT31(a,b,c)

#define DBOPS	CONCAT2(NSS_DB,_ops)
#define DBOPS_T CONCAT2(NSS_DBOPS,_t)

#define OP_NOOP CONCAT2(NSS_DB,op_noop)
#define OP_SETENT CONCAT2(NSS_DB,op_setent)
#define OP_GETENT CONCAT2(NSS_DB,op_getent)
#define OP_ENDENT CONCAT2(NSS_DB,op_endent)
#define OP_GETNAM CONCAT2(NSS_DB,op_getnam)
#define OP_GETUID CONCAT2(NSS_DB,op_getuid)

typedef enum DBOPS {
  OP_NOOP,
  OP_SETENT,
  OP_GETENT,
  OP_ENDENT,
  OP_GETNAM,
  OP_GETUID
} DBOPS_T;

#define ENT_CONTEXT CONCAT2(NSS_DB,ent_context)
#define ENT_CONTEXT_T CONCAT2(NSS_DB,ent_context_t)
